/[gentoo-x86]/app-office/libreoffice/libreoffice-9999-r2.ebuild
Gentoo

Contents of /app-office/libreoffice/libreoffice-9999-r2.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.168 - (show annotations) (download)
Fri Mar 29 09:41:28 2013 UTC (23 months ago) by scarabeus
Branch: MAIN
Changes since 1.167: +10 -12 lines
Update the pythoncflags/libs detection with the eclass functions. Put the branding mv call to prepare phase.

(Portage version: 2.2.0_alpha170/cvs/Linux x86_64, signed Manifest commit with key 8EEE3BE8)

1 # Copyright 1999-2013 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-9999-r2.ebuild,v 1.167 2013/03/18 18:59:00 scarabeus Exp $
4
5 EAPI=5
6
7 KDE_REQUIRED="optional"
8 QT_MINIMAL="4.7.4"
9 KDE_SCM="git"
10 CMAKE_REQUIRED="never"
11
12 PYTHON_COMPAT=( python2_7 python3_3 )
13 PYTHON_REQ_USE="threads,xml"
14
15 # experimental ; release ; old
16 # Usually the tarballs are moved a lot so this should make
17 # everyone happy.
18 DEV_URI="
19 http://dev-builds.libreoffice.org/pre-releases/src
20 http://download.documentfoundation.org/libreoffice/src/${PV:0:5}/
21 http://download.documentfoundation.org/libreoffice/old/${PV}/
22 "
23 EXT_URI="http://ooo.itc.hu/oxygenoffice/download/libreoffice"
24 ADDONS_URI="http://dev-www.libreoffice.org/src/"
25
26 BRANDING="${PN}-branding-gentoo-0.7.tar.xz"
27 # PATCHSET="${P}-patchset-01.tar.xz"
28
29 [[ ${PV} == *9999* ]] && SCM_ECLASS="git-2"
30 inherit base autotools bash-completion-r1 check-reqs eutils java-pkg-opt-2 kde4-base pax-utils python-single-r1 multilib toolchain-funcs flag-o-matic nsplugins ${SCM_ECLASS}
31 unset SCM_ECLASS
32
33 DESCRIPTION="LibreOffice, a full office productivity suite."
34 HOMEPAGE="http://www.libreoffice.org"
35 SRC_URI="branding? ( http://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
36 [[ -n ${PATCHSET} ]] && SRC_URI+=" http://dev.gentooexperimental.org/~scarabeus/${PATCHSET}"
37
38 # Split modules following git/tarballs
39 # Core MUST be first!
40 # Help is used for the image generator
41 MODULES="core help"
42 # Only release has the tarballs
43 if [[ ${PV} != *9999* ]]; then
44 for i in ${DEV_URI}; do
45 for mod in ${MODULES}; do
46 if [[ ${mod} == core ]]; then
47 SRC_URI+=" ${i}/${P}.tar.xz"
48 else
49 SRC_URI+=" ${i}/${PN}-${mod}-${PV}.tar.xz"
50 fi
51 done
52 unset mod
53 done
54 unset i
55 fi
56 unset DEV_URI
57
58 # Really required addons
59 # These are bundles that can't be removed for now due to huge patchsets.
60 # If you want them gone, patches are welcome.
61 ADDONS_SRC+=" ${ADDONS_URI}/ea91f2fb4212a21d708aced277e6e85a-vigra1.4.0.tar.gz"
62 ADDONS_SRC+=" ${ADDONS_URI}/1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz" # modifies source code
63 ADDONS_SRC+=" java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
64 ADDONS_SRC+=" libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )" # no release for 8 years, should we package it?
65 ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )" # Does not build with 1.6 rhino at all
66 ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip )" # requirement of rhino
67 ADDONS_SRC+=" odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )" # not packageable
68 SRC_URI+=" ${ADDONS_SRC}"
69
70 unset ADDONS_URI
71 unset EXT_URI
72 unset ADDONS_SRC
73
74 IUSE="bluetooth +branding +cups dbus debug eds gnome gstreamer +gtk
75 gtk3 jemalloc kde mysql odk opengl postgres telepathy test +vba +webdav"
76
77 LO_EXTS="nlpsolver presenter-minimizer scripting-beanshell scripting-javascript wiki-publisher"
78 # Unpackaged separate extensions:
79 # diagram: lo has 0.9.5 upstream is weirdly patched 0.9.4 -> wtf?
80 # hunart: only on ooo extensions -> fubared download path somewhere on sf
81 # numbertext, typo, validator, watch-window: ^^
82 # oooblogger: no homepage or anything
83 # Extensions that need extra work:
84 for lo_xt in ${LO_EXTS}; do
85 IUSE+=" libreoffice_extensions_${lo_xt}"
86 done
87 unset lo_xt
88
89 LICENSE="|| ( LGPL-3 MPL-1.1 )"
90 SLOT="0"
91 [[ ${PV} == *9999* ]] || KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
92
93 COMMON_DEPEND="
94 ${PYTHON_DEPS}
95 app-arch/zip
96 app-arch/unzip
97 >=app-text/hunspell-1.3.2-r3
98 app-text/mythes
99 >=app-text/libexttextcat-3.2
100 app-text/liblangtag
101 app-text/libmspub
102 >=app-text/libmwaw-0.1.7
103 app-text/libwpd:0.9[tools]
104 app-text/libwpg:0.2
105 >=app-text/libwps-0.2.2
106 >=app-text/poppler-0.16:=[xpdf-headers(+),cxx]
107 >=dev-cpp/clucene-2.3.3.4-r2
108 >=dev-cpp/libcmis-0.3.1:0.3
109 dev-db/unixODBC
110 dev-libs/expat
111 >=dev-libs/hyphen-2.7.1
112 >=dev-libs/icu-4.8.1.1:=
113 >=dev-libs/liborcus-0.3
114 >=dev-libs/nspr-4.8.8
115 >=dev-libs/nss-3.12.9
116 >=dev-lang/perl-5.0
117 >=dev-libs/openssl-1.0.0d
118 >=dev-libs/redland-1.0.14[ssl]
119 media-gfx/graphite2
120 >=media-libs/fontconfig-2.8.0
121 media-libs/freetype:2
122 media-libs/lcms:2
123 >=media-libs/libpng-1.4
124 >=media-libs/libcdr-0.0.5
125 media-libs/libvisio
126 >=net-misc/curl-7.21.4
127 net-nds/openldap
128 sci-mathematics/lpsolve
129 virtual/jpeg
130 >=x11-libs/cairo-1.10.0[X]
131 x11-libs/libXinerama
132 x11-libs/libXrandr
133 x11-libs/libXrender
134 bluetooth? ( net-wireless/bluez )
135 cups? ( net-print/cups )
136 dbus? ( >=dev-libs/dbus-glib-0.92 )
137 eds? ( gnome-extra/evolution-data-server )
138 gnome? ( gnome-base/gconf:2 )
139 gtk? (
140 x11-libs/gdk-pixbuf[X]
141 >=x11-libs/gtk+-2.24:2
142 )
143 gtk3? ( >=x11-libs/gtk+-3.2:3 )
144 gstreamer? (
145 media-libs/gstreamer:1.0
146 media-libs/gst-plugins-base:1.0
147 )
148 jemalloc? ( dev-libs/jemalloc )
149 libreoffice_extensions_scripting-beanshell? ( >=dev-java/bsh-2.0_beta4 )
150 libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
151 libreoffice_extensions_wiki-publisher? (
152 dev-java/commons-codec:0
153 dev-java/commons-httpclient:3
154 dev-java/commons-lang:2.1
155 dev-java/commons-logging:0
156 dev-java/tomcat-servlet-api:3.0
157 )
158 mysql? ( >=dev-db/mysql-connector-c++-1.1.0 )
159 opengl? (
160 virtual/glu
161 virtual/opengl
162 )
163 postgres? ( >=dev-db/postgresql-base-9.0[kerberos] )
164 telepathy? (
165 dev-libs/glib:2
166 >=net-libs/telepathy-glib-0.18.0
167 >=x11-libs/gtk+-2.24:2
168 )
169 webdav? ( net-libs/neon )
170 "
171
172 RDEPEND="${COMMON_DEPEND}
173 !app-office/libreoffice-bin
174 !app-office/libreoffice-bin-debug
175 !<app-office/openoffice-bin-3.4.0-r1
176 !app-office/openoffice
177 media-fonts/libertine-ttf
178 media-fonts/liberation-fonts
179 media-fonts/urw-fonts
180 java? ( >=virtual/jre-1.6 )
181 "
182
183 if [[ ${PV} != *9999* ]]; then
184 PDEPEND="~app-office/libreoffice-l10n-${PV}"
185 else
186 # Translations are not reliable on live ebuilds
187 # rather force people to use english only.
188 PDEPEND="!app-office/libreoffice-l10n"
189 fi
190
191 # FIXME: cppunit should be moved to test conditional
192 # after everything upstream is under gbuild
193 # as dmake execute tests right away
194 DEPEND="${COMMON_DEPEND}
195 >=dev-libs/boost-1.46
196 >=dev-libs/libxml2-2.7.8
197 dev-libs/libxslt
198 dev-perl/Archive-Zip
199 dev-util/cppunit
200 >=dev-util/gperf-3
201 dev-util/intltool
202 >=dev-util/mdds-0.7.0
203 virtual/pkgconfig
204 net-misc/npapi-sdk
205 >=sys-apps/findutils-4.4.2
206 sys-devel/bison
207 sys-apps/coreutils
208 sys-devel/flex
209 sys-devel/gettext
210 >=sys-devel/make-3.82
211 sys-devel/ucpp
212 sys-libs/zlib
213 x11-libs/libXt
214 x11-libs/libXtst
215 x11-proto/randrproto
216 x11-proto/xextproto
217 x11-proto/xineramaproto
218 x11-proto/xproto
219 java? (
220 >=virtual/jdk-1.6
221 >=dev-java/ant-core-1.7
222 )
223 odk? ( app-doc/doxygen )
224 test? ( dev-util/cppunit )
225 "
226
227 PATCHES=(
228 # not upstreamable stuff
229 "${FILESDIR}/${PN}-3.7-system-pyuno.patch"
230 )
231
232 REQUIRED_USE="
233 bluetooth? ( dbus )
234 gnome? ( gtk )
235 eds? ( gnome )
236 libreoffice_extensions_nlpsolver? ( java )
237 libreoffice_extensions_scripting-beanshell? ( java )
238 libreoffice_extensions_scripting-javascript? ( java )
239 libreoffice_extensions_wiki-publisher? ( java )
240 "
241
242 CHECKREQS_MEMORY="512M"
243 CHECKREQS_DISK_BUILD="6G"
244
245 pkg_pretend() {
246 local pgslot
247
248 if [[ ${MERGE_TYPE} != binary ]]; then
249 check-reqs_pkg_pretend
250
251 if [[ $(gcc-major-version) -lt 4 ]] || \
252 ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ]] ) \
253 ; then
254 eerror "Compilation with gcc older than 4.6 is not supported"
255 die "Too old gcc found."
256 fi
257 fi
258
259 # ensure pg version
260 if use postgres; then
261 pgslot=$(postgresql-config show)
262 if [[ ${pgslot//.} < 90 ]] ; then
263 eerror "PostgreSQL slot must be set to 9.0 or higher."
264 eerror " postgresql-config set 9.0"
265 die "PostgreSQL slot is not set to 9.0 or higher."
266 fi
267 fi
268 }
269
270 pkg_setup() {
271 java-pkg-opt-2_pkg_setup
272 kde4-base_pkg_setup
273 python-single-r1_pkg_setup
274
275 [[ ${MERGE_TYPE} != binary ]] && check-reqs_pkg_setup
276 }
277
278 src_unpack() {
279 local mod mod2 dest tmplfile tmplname mypv
280
281 [[ -n ${PATCHSET} ]] && unpack ${PATCHSET}
282 use branding && unpack "${BRANDING}"
283
284 if [[ ${PV} != *9999* ]]; then
285 unpack "${P}.tar.xz"
286 for mod in ${MODULES}; do
287 [[ ${mod} == core ]] && continue
288 unpack "${PN}-${mod}-${PV}.tar.xz"
289 done
290 else
291 for mod in ${MODULES}; do
292 mypv=${PV/.9999}
293 [[ ${mypv} != ${PV} ]] && EGIT_BRANCH="${PN}-${mypv/./-}"
294 EGIT_PROJECT="${PN}/${mod}"
295 EGIT_SOURCEDIR="${WORKDIR}/${P}"
296 [[ ${mod} != core ]] && EGIT_SOURCEDIR="${WORKDIR}/${PN}-${mod}-${PV}"
297 EGIT_REPO_URI="git://anongit.freedesktop.org/${PN}/${mod}"
298 EGIT_NOUNPACK="true"
299 git-2_src_unpack
300 if [[ ${mod} != core ]]; then
301 mod2=${mod}
302 # mapping does not match on help
303 [[ ${mod} == help ]] && mod2="helpcontent2"
304 mkdir -p "${S}/${mod2}/" || die
305 mv -n "${WORKDIR}/${PN}-${mod}-${PV}"/* "${S}/${mod2}" || die
306 rm -rf "${WORKDIR}/${PN}-${mod}-${PV}"
307 fi
308 done
309 unset EGIT_PROJECT EGIT_SOURCEDIR EGIT_REPO_URI EGIT_BRANCH
310 fi
311 }
312
313 src_prepare() {
314 # optimization flags
315 export GMAKE_OPTIONS="${MAKEOPTS}"
316 # System python 2.7 enablement:
317 export PYTHON_CFLAGS=$(python_get_CFLAGS)
318 export PYTHON_LIBS=$(python_get_LIBS)
319
320 # patchset
321 if [[ -n ${PATCHSET} ]]; then
322 EPATCH_FORCE="yes" \
323 EPATCH_SOURCE="${WORKDIR}/${PATCHSET/.tar.xz/}" \
324 EPATCH_SUFFIX="patch" \
325 epatch
326 fi
327
328 base_src_prepare
329
330 AT_M4DIR="m4" eautoreconf
331 # hack in the autogen.sh
332 touch autogen.lastrun
333
334 # system pyuno mess
335 sed \
336 -e "s:%eprefix%:${EPREFIX}:g" \
337 -e "s:%libdir%:$(get_libdir):g" \
338 -i pyuno/source/module/uno.py \
339 -i scripting/source/pyprov/officehelper.py || die
340 # sed in the tests
341 sed -i \
342 -e 's#all : build unitcheck#all : build#g' \
343 solenv/gbuild/Module.mk || die
344 sed -i \
345 -e 's#check: dev-install subsequentcheck#check: unitcheck slowcheck dev-install subsequentcheck#g' \
346 -e 's#Makefile.gbuild all slowcheck#Makefile.gbuild all#g' \
347 Makefile.in || die
348
349 if use branding; then
350 # hack...
351 mv -v "${WORKDIR}/branding-intro.png" "${S}/icon-themes/galaxy/brand/intro.png" || die
352 fi
353 }
354
355 src_configure() {
356 local java_opts
357 local internal_libs
358 local lo_ext
359 local ext_opts
360 local jbs=$(sed -ne 's/.*\(-j[[:space:]]*\|--jobs=\)\([[:digit:]]\+\).*/\2/;T;p' <<< "${MAKEOPTS}")
361
362 # recheck that there is some value in jobs
363 [[ -z ${jbs} ]] && jbs="1"
364
365 # sane: just sane.h header that is used for scan in writer, not
366 # linked or anything else, worthless to depend on
367 # vigra: just uses templates from there
368 # it is serious pain in the ass for packaging
369 # should be replaced by boost::gil if someone interested
370 internal_libs+="
371 --without-system-sane
372 --without-system-vigra
373 "
374
375 # libreoffice extensions handling
376 for lo_xt in ${LO_EXTS}; do
377 if [[ "${lo_xt}" == "scripting-beanshell" || "${lo_xt}" == "scripting-javascript" ]]; then
378 ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ${lo_xt})"
379 else
380 ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt})"
381 fi
382 done
383
384 if use java; then
385 # hsqldb: system one is too new
386 java_opts="
387 --without-junit
388 --without-system-hsqldb
389 --with-ant-home="${ANT_HOME}"
390 --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
391 --with-jvm-path="${EPREFIX}/usr/$(get_libdir)/"
392 "
393
394 use libreoffice_extensions_scripting-beanshell && \
395 java_opts+=" --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar)"
396
397 use libreoffice_extensions_scripting-javascript && \
398 java_opts+=" --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar)"
399
400 if use libreoffice_extensions_wiki-publisher; then
401 java_opts+="
402 --with-commons-codec-jar=$(java-pkg_getjar commons-codec commons-codec.jar)
403 --with-commons-httpclient-jar=$(java-pkg_getjar commons-httpclient-3 commons-httpclient.jar)
404 --with-commons-lang-jar=$(java-pkg_getjar commons-lang-2.1 commons-lang.jar)
405 --with-commons-logging-jar=$(java-pkg_getjar commons-logging commons-logging.jar)
406 --with-servlet-api-jar=$(java-pkg_getjar tomcat-servlet-api-3.0 servlet-api.jar)
407 "
408 fi
409 fi
410
411 # system headers/libs/...: enforce using system packages
412 # --enable-unix-qstart-libpng: use libpng splashscreen that is faster
413 # --enable-cairo: ensure that cairo is always required
414 # --enable-graphite: disabling causes build breakages
415 # --enable-*-link: link to the library rather than just dlopen on runtime
416 # --enable-release-build: build the libreoffice as release
417 # --disable-fetch-external: prevent dowloading during compile phase
418 # --disable-gnome-vfs: old gnome virtual fs support
419 # --disable-kdeab: kde3 adressbook
420 # --disable-kde: kde3 support
421 # --disable-rpath: relative runtime path is not desired
422 # --disable-systray: quickstarter does not actually work at all so do not
423 # promote it
424 # --enable-extension-integration: enable any extension integration support
425 # --without-{afms,fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
426 # --disable-report-builder: too much java packages pulled in without pkgs
427 econf \
428 --docdir="${EPREFIX}/usr/share/doc/${PF}/" \
429 --with-system-headers \
430 --with-system-libs \
431 --with-system-jars \
432 --with-system-dicts \
433 --enable-cairo-canvas \
434 --enable-graphite \
435 --enable-largefile \
436 --enable-mergelibs \
437 --enable-python=system \
438 --enable-randr \
439 --enable-randr-link \
440 --enable-release-build \
441 --enable-unix-qstart-libpng \
442 --enable-hardlink-deliver \
443 --disable-ccache \
444 --disable-crashdump \
445 --disable-dependency-tracking \
446 --disable-epm \
447 --disable-fetch-external \
448 --disable-gnome-vfs \
449 --disable-gstreamer-0-10 \
450 --disable-report-builder \
451 --disable-kdeab \
452 --disable-kde \
453 --disable-online-update \
454 --disable-rpath \
455 --disable-systray \
456 --with-alloc=$(use jemalloc && echo "jemalloc" || echo "system") \
457 --with-build-version="Gentoo official package" \
458 --enable-extension-integration \
459 --with-external-dict-dir="${EPREFIX}/usr/share/myspell" \
460 --with-external-hyph-dir="${EPREFIX}/usr/share/myspell" \
461 --with-external-thes-dir="${EPREFIX}/usr/share/myspell" \
462 --with-external-tar="${DISTDIR}" \
463 --with-lang="" \
464 --with-parallelism=${jbs} \
465 --with-system-ucpp \
466 --with-unix-wrapper=libreoffice \
467 --with-vendor="Gentoo Foundation" \
468 --with-x \
469 --without-afms \
470 --without-fonts \
471 --without-myspell-dicts \
472 --without-help \
473 --with-helppack-integration \
474 --without-sun-templates \
475 $(use_enable bluetooth sdremote-bluetooth) \
476 $(use_enable cups) \
477 $(use_enable debug) \
478 $(use_enable dbus) \
479 $(use_enable eds evolution2) \
480 $(use_enable gnome gconf) \
481 $(use_enable gnome gio) \
482 $(use_enable gnome lockdown) \
483 $(use_enable gtk) \
484 $(use_enable gtk3) \
485 $(use_enable kde kde4) \
486 $(use_enable mysql ext-mariadb-connector) \
487 $(use_enable odk) \
488 $(use_enable opengl) \
489 $(use_enable postgres postgresql-sdbc) \
490 $(use_enable telepathy) \
491 $(use_enable test linkoo) \
492 $(use_enable vba) \
493 $(use_enable webdav neon) \
494 $(use_with java) \
495 $(use_with mysql system-mysql-cppconn) \
496 $(use_with odk doxygen) \
497 ${internal_libs} \
498 ${java_opts} \
499 ${ext_opts}
500 }
501
502 src_compile() {
503 # hack for offlinehelp, this needs fixing upstream at some point
504 # it is broken because we send --without-help
505 # https://bugs.freedesktop.org/show_bug.cgi?id=46506
506 (
507 grep "^export" "${S}/config_host.mk" > "${T}/config_host.mk"
508 source "${T}/config_host.mk" 2&> /dev/null
509
510 local path="${SOLARVER}/${INPATH}/res/img"
511 mkdir -p "${path}" || die
512
513 echo "perl \"${S}/helpcontent2/helpers/create_ilst.pl\" -dir=icon-themes/galaxy/res/helpimg > \"${path}/helpimg.ilst\""
514 perl "${S}/helpcontent2/helpers/create_ilst.pl" \
515 -dir=icon-themes/galaxy/res/helpimg \
516 > "${path}/helpimg.ilst"
517 [[ -s "${path}/helpimg.ilst" ]] || ewarn "The help images list is empty, something is fishy, report a bug."
518 )
519
520 # this is not a proper make script
521 make build || die
522 }
523
524 src_test() {
525 make unitcheck || die
526 make slowcheck || die
527 }
528
529 src_install() {
530 # This is not Makefile so no buildserver
531 make DESTDIR="${D}" distro-pack-install -o build -o check || die
532
533 # Fix bash completion placement
534 newbashcomp "${ED}"/etc/bash_completion.d/libreoffice.sh ${PN}
535 rm -rf "${ED}"/etc/
536
537 if use branding; then
538 insinto /usr/$(get_libdir)/${PN}/program
539 newins "${WORKDIR}/branding-sofficerc" sofficerc
540 fi
541
542 # symlink the nsplugin to proper location
543 use gtk && inst_plugin /usr/$(get_libdir)/libreoffice/program/libnpsoplugin.so
544
545 # Hack for offlinehelp, this needs fixing upstream at some point.
546 # It is broken because we send --without-help
547 # https://bugs.freedesktop.org/show_bug.cgi?id=46506
548 insinto /usr/$(get_libdir)/libreoffice/help
549 doins xmlhelp/util/*.xsl
550
551 # Remove desktop files for support to old installs that can't parse mime
552 rm -rf "${ED}"/usr/share/mimelnk/
553 }
554
555 pkg_preinst() {
556 # Cache updates - all handled by kde eclass for all environments
557 kde4-base_pkg_preinst
558 }
559
560 pkg_postinst() {
561 kde4-base_pkg_postinst
562
563 pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
564 pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
565
566 use java || \
567 ewarn 'If you plan to use lbase application you should enable java or you will get various crashes.'
568 }
569
570 pkg_postrm() {
571 kde4-base_pkg_postrm
572 }

  ViewVC Help
Powered by ViewVC 1.1.20